#ifndef _LINUX_ATAHDREG_H
#define _LINUX_ATAHDREG_H

/*
 * This file contains some defines for the Falcon IDE hd controller.
 * Various sources. Check out some definitions (see comments with
 * a ques).
 */

#define ATA_HD_DATA		(0xfff00000)	/* _CTL when writing */
#define ATA_HD_ERROR	(0xfff00005)	/* see err-bits */
#define ATA_HD_NSECTOR	(0xfff00009)	/* nr of sectors to read/write */
#define ATA_HD_SECTOR	(0xfff0000d)	/* starting sector */
#define ATA_HD_LCYL		(0xfff00011)	/* starting cylinder */
#define ATA_HD_HCYL		(0xfff00015)	/* high byte of starting cyl */
#define ATA_HD_CURRENT	(0xfff00019)	/* 101dhhhh , d=drive, hhhh=head */
#define ATA_HD_STATUS	(0xfff0001d)	/* see status-bits */

#define ATA_HD_CMD		  (0xfff00039)
#define ATA_HD_ALTSTATUS	(0xfff0001d)	/* same as HD_STATUS but doesn't clear irq */

#endif	/* _LINUX_ATAHDREG_H */
